Subject: Re: bug#67207: [PATCH] Add elixir-ts-mode-hook to elixir-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Nov 2023 21:58:03 +0200

> From: Wilhelm Kirschbaum <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 15 Nov 2023 21:43:06 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Wilhelm Kirschbaum <[email-masked]>
> >> Date: Wed, 15 Nov 2023 20:32:42 +0200
> >> 
> >> This change was requested by a user and seems to be useful.
> >
> > Sorry, I don't understand: what was the request of that user?
> > elixir-ts-mode is defined using define-derived-mode, which
> > automatically creates a mode hook, so why do you need to define 
> > it
> > explicitly?
> 
> I had exactly the same question.  The user wants to manage the 
> elixir-ts-mode hooks from the customize-group menu and not using 
> elisp.  This seems to be the way to make it show up on the 
> customize-group menu for elixir-ts-mode.  There are some other 
> modes doing the same if you search for `defcustom .*-mode-hook` 
> under the progmode folder.
> 
> If this is undesirable or if there is another way to make it show 
> up on the customize menu, it will be good to know.

Adding Stefan to the discussion.

Stefan, does this mean define-derived-mode has some deficiency?
Many/most modes defined using it don't have an explicit hook
definition, so should we now define a mode hook for all of them?